APIFlights
Get a flight track
GET
bearerAuth tracks.read, flight.read.ownheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: tracks.read, flight.read.own
id*integerFlight ID.
Range
1 <= valueTrack or null.
application/json- response
data*|nullcurl -X GET 'https://your-instance.example/api/v1/flights/1/track'Example Response
{ "data": { "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx", "sourceName": "string", "times": [ 0 ], "groundSpeedKt": [ 0 ], "trackDeg": [ 0 ], "ground": [ true ], "estimated": [ true ], "flightId": 0, "pointCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}